Athena

Structured health check with local provisioning diagnostics

Returns Athena process health plus a proactive local Docker provisioning diagnostic for the current process user.

GET
/health

Response Body

application/json

application/json

curl -X GET "https://athena-cluster.com/health"
{
  "status": "ok",
  "message": "athena is online",
  "version": "string",
  "athena_api": "string",
  "athena_deadpool": "string",
  "athena_scylladb": "string",
  "gateway_auth_store": "string",
  "gateway_benchmark_client": "string",
  "cargo_toml_version": "string",
  "provisioning": {
    "local_docker": {
      "available": true,
      "status": "permission_denied",
      "detail": "string",
      "hint": "string"
    }
  }
}
{
  "status": "error",
  "message": "string",
  "error": "string"
}